Bug 882474 - Review Request: spymemcached - Java client for memcached
Summary: Review Request: spymemcached - Java client for memcached
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michal Srb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 968136 882475
TreeView+ depends on / blocked
 
Reported: 2012-12-01 08:56 UTC by gil cattaneo
Modified: 2013-06-14 02:25 UTC (History)
3 users (show)

Fixed In Version: spymemcached-2.8.12-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 06:52:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msrb: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2012-12-01 08:56:28 UTC
Spec URL: http://gil.fedorapeople.org/spymemcached.spec
SRPM URL: http://gil.fedorapeople.org/spymemcached-2.8.8-1.fc16.src.rpm
Description: 
A simple, asynchronous, single-threaded memcached client written in java.
Fedora Account System Username: gil

Comment 3 Michal Srb 2013-06-03 11:05:56 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.

Java:
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct Maven mapping
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: spymemcached-2.8.12-1.fc20.noarch.rpm
          spymemcached-javadoc-2.8.12-1.fc20.noarch.rpm
spymemcached.noarch: W: spelling-error Summary(en_US) memcached -> schemed
spymemcached.noarch: W: spelling-error %description -l en_US memcached -> schemed
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint spymemcached-javadoc spymemcached
spymemcached.noarch: W: spelling-error Summary(en_US) memcached -> schemed
spymemcached.noarch: W: spelling-error %description -l en_US memcached -> schemed
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
spymemcached-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

spymemcached (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    log4j
    springframework-beans



Provides
--------
spymemcached-javadoc:
    spymemcached-javadoc

spymemcached:
    mvn(spy:memcached)
    mvn(spy:spymemcached)
    spymemcached



Source checksums
----------------
https://github.com/dustin/java-memcached-client/archive/2.8.12.tar.gz :
  CHECKSUM(SHA256) this package     : ac7a43cfbacf15afbb0fd6d6cb4f9e25d18a7601bc4643fda41defac48840fe3
  CHECKSUM(SHA256) upstream package : ac7a43cfbacf15afbb0fd6d6cb4f9e25d18a7601bc4643fda41defac48840fe3
http://files.couchbase.com/maven2/spy/spymemcached/2.8.12/spymemcached-2.8.12.pom :
  CHECKSUM(SHA256) this package     : 2314845e0676632e284e5f1507ed3e14e693c991cbd6ce5307ba752144c03b65
  CHECKSUM(SHA256) upstream package : 2314845e0676632e284e5f1507ed3e14e693c991cbd6ce5307ba752144c03b65


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 882474

Issues:
License tag says MIT, but project also contains ASL 2.0 licensed file:
src/scripts/write-version-info.sh

Please fix this issue before importing spec file to the git repository.

APPROVED

Comment 4 gil cattaneo 2013-06-03 11:29:57 UTC
Thanks!

Spec URL: http://gil.fedorapeople.org/spymemcached.spec
SRPM URL: http://gil.fedorapeople.org/spymemcached-2.8.12-1.fc18.src.rpm

- fixed license tag


New Package SCM Request
=======================
Package Name: spymemcached
Short Description: Java client for memcached
Owners: gil
Branches: f18 f19 f20
InitialCC: java-sig

Comment 5 Gwyn Ciesla 2013-06-03 13:41:17 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-06-03 15:43:37 UTC
spymemcached-2.8.12-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/spymemcached-2.8.12-1.fc19

Comment 7 Fedora Update System 2013-06-03 16:01:43 UTC
spymemcached-2.8.12-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/spymemcached-2.8.12-1.fc18

Comment 8 Fedora Update System 2013-06-05 02:32:49 UTC
spymemcached-2.8.12-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 9 Fedora Update System 2013-06-13 06:52:23 UTC
spymemcached-2.8.12-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 10 Fedora Update System 2013-06-14 02:25:05 UTC
spymemcached-2.8.12-1.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.